Page 1 of 3 123 LastLast
Results 1 to 10 of 21
  1. #1
    10+ Posting Member
    Join Date
    May 2005
    Posts
    12
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    problems installing FS2phidgets

    **************EDIT**************************************
    ********************************************************
    ****sorry for crossposting, same problem is also being discussed****
    ****in other thread. didnt notice because of topic (runtime error) ****
    ****Still have the problem though ***
    ********************************************************


    Hi alll,

    I cant install FS2phidgets 3.0.7

    The installing procedure starts, but gets aborted with the message that it cant continue install because some of my files are outdated.
    It offers to upgrade the files and reboot...but when i reboot, the problem is still there.

    Im running XP and the phidgets.msi is installed.

    Dont have a clue what is going wrong....any ideas ?

    Thanks,

    Stef

  2. #2
    alandyer
    Guest
    Are you running XP ?

    Does message perhaps mention a file name ?

  3. #3
    alandyer
    Guest
    Are there any persons out there Running XP who ARE able to load ?
    Besides myself.
    Cam, I recall is XP.
    Andras ?

  4. #4
    luker
    Guest

    Question

    Hi Alan/dnoize

    Yes I also have the problem installing 3.0.7 (and the previous version when I tried also had the some problem).

    I am running Windows XP Pro Service Pack 2. The file it fails on is the last one (7 of 7) which is the Visual Basic engine file MSVBVM60.DLL (even though that one already exists on my system and is up to date (same version as the one in the CAB) - it is definitely the last file in the bootstrap section of the LST file.

    Even though it stops on this seventh file I don't think that is the problem as the previous version stopped on the sixth file (as there were only 6 files in the bootstrap section ) so it must occur at some point but not necessarily at the last file...

    When I try to install 3.0.7 it tells me some of my files need updating (exactly like for dnoize) and that if I click ok it will re-boot the computer after updating. After the re-boot completes if I then execute the setup.exe file again the same problem occurs...ie never ending cycle of "try to install" followed by need to "re-boot"

    I tried to get around the problem by extracting the files in the CAB file and manually copying the DLL/TLB files to the Windows32 directory. The files are mentioned in the bootstrap section of the LST file that get extracted as part of the 3.0.7 zip file.

    I guess I may have had "limited" success because I believe some of the DLLs require registering and simply copying them over will not do this. When I manually tried to register ones like oleaut32.dll it succeeds registering but others didn't succeed.

    Even after doing all this, setup.exe still insists I have "old files" that need updating. So what I did then was delete all the lines under the [BOOTSTRAP] section in the LST file. This then does the trick and installation proceeds....but as I said I do not know if there will be any side effects from doing this as some DLLs could not be registered. But I can say that FS2Phidgets.exe appears to work...my only problem then is the Error 13 type mistmatch problem when trying to connect to FS2004 (FSUIPC 3.48 registered) I have posted about in another thread, my 8/8/8 card gets detected properly though it seems.

    Sorry about my long post...just trying to explain exactly what happens to me in case it helps in diagnosing the problem.

    I thought the problem may be due to some other program running in the background holding a lock on the files that the installer is trying to update but I made sure no other programs were running although there were heaps of processes listed in TASK MANAGER, but I would not know which ones (if any) may be holding a lock and deciding which ones to shutdown through task manager may cause system instability.

    Cheers,
    Luke

  5. #5
    alandyer
    Guest
    I have being doing some research.

    Windows XP has File Protection Feature which is invoked if a a program attempts to overwrite an older system file woith newer version that is not digitally signed.

    I have just bought new lap top with latest XP and installed VB6 and VB.NET so I have latest files.

    Microsoft's take on this is I should be distributing with old versions of system files.

    Below is link to their note on subject.

    http://support.microsoft.com/default...b;en-us;831491

  6. #6
    alandyer
    Guest
    Appreciate all the research and investigation. Thanks ya'll.

    I think what this comes down to: I need a download that is an upgrade only.

    Persons who have already installed FS2Phidget have the required system files.
    They would only need the new executable and any new FS Variable ini files (which will not change for a while).

    Less work than putting together an intelligent setup executable, which is able to discern between a fresh install and an upgrade.

    Regards,
    Alan.

  7. #7
    10+ Posting Member
    Join Date
    May 2005
    Posts
    12
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Hi Alan,

    Thanks for getting into this.
    There is no way to upgrade those files ?
    Im running XP SP1 btw.

    look forward to the new version

    regards,

    stef

  8. #8
    alandyer
    Guest
    Stef,

    Actually, I need to downgrade.
    Can't assume that everybody is up to date.

    Alan.

  9. #9
    25+ Posting Member
    Join Date
    Oct 2004
    Location
    Budapest
    Posts
    45
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Quote Originally Posted by alandyer
    Are there any persons out there Running XP who ARE able to load ? Besides myself. Cam, I recall is XP.
    Andras ?
    Hi Alan,

    I am running Windows XP Pro Service Pack 2
    I can install, no problem there.
    The two problems are:
    1. Type mismatch error when trying to connect to either FS or WideClient
    2. My 2 0/16/16 cards are not recognized.

    regards
    Andras

  10. #10
    Our new friend needs to reach 10 posts to get to the next flight level
    Join Date
    May 2005
    Posts
    5
    Contribute If you enjoy reading the
    content here, click the below
    image to support MyCockpit site.
    Click Here To Contribute To Our Site

    Hi,

    I've downloded latest 308.
    Manage to install. Mine is Win XP SP2. FSUIPC 3.3
    Able to connect/talk to FS9. FS9 and FSphidgets running on same PC.
    Manage to create test output (on the create Test output tab)
    But it still didn't recognise my 0/16/16 card. When I press the "unattached" tab. I got 'runtime error 9'. :confused:

    Rgds
    Mizzy

Page 1 of 3 123 LastLast

Similar Threads

  1. Installing FSX on a seperate hard disk
    By zinok2001 in forum General Microsoft Flight Simulator 10 (FSX)
    Replies: 2
    Last Post: 09-07-2010, 04:45 PM
  2. Potential buyer: VNAV problems, A/P problems?
    By 737aqua in forum PM General Q & A
    Replies: 13
    Last Post: 04-26-2008, 09:21 PM
  3. Installing 4.2.3 problems
    By imported_redman in forum FS2Phidget Users
    Replies: 1
    Last Post: 01-22-2007, 03:17 PM
  4. Problems installing FSX
    By ekezz in forum PM and FS
    Replies: 1
    Last Post: 01-14-2007, 07:42 AM
  5. Getting and Installing Windows XP Service Pack 2
    By MS Expert Zone RSS Feed in forum Computer Hardware Setup
    Replies: 0
    Last Post: 12-28-2006, 10:30 AM